package formatter

import "testing"

func Test_service_FormatText(t *testing.T) {
	tests := []struct {
		name string
		text string
		want string
	}{
		{
			name: "Простой текст",
			text: "Привет",
			want: "Привет",
		},
		{
			name: "Текст с двумя абзацами",
			text: "Привет\nМир",
			want: "Привет\n    Мир",
		},
		{
			name: "Прямая речь",
			text: "— Привет",
			want: "    — Привет",
		},
		{
			name: "Прямая речь через 2 минуса",
			text: "-- Привет",
			want: "    — Привет",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			var s service
			got := s.FormatText(tt.text)
			if got != tt.want {
				t.Errorf("FormatText() = %v, want %v", got, tt.want)
			}
		})
	}
}
